Bug 1208835 - Re-Review Request: gdouros-akkadian-fonts - A font for Sumero-Akkadian cuneiform
Summary: Re-Review Request: gdouros-akkadian-fonts - A font for Sumero-Akkadian cuneiform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-03 11:11 UTC by Alexander Ploumistos
Modified: 2015-05-11 19:07 UTC (History)
2 users (show)

Fixed In Version: gdouros-akkadian-fonts-7.13-0.2.20150430.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-11 19:07:18 UTC
Type: ---
panemade: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 532231 None None None Never

Internal Links: 532231

Description Alexander Ploumistos 2015-04-03 11:11:46 UTC
Spec URL:
https://alexpl.fedorapeople.org/packages/fonts/gdouros/gdouros-akkadian-fonts/gdouros-akkadian-fonts.spec

SRPM URL:
https://alexpl.fedorapeople.org/packages/fonts/gdouros/gdouros-akkadian-fonts/gdouros-akkadian-fonts-7.15-1.fc21.src.rpm

Description:
Akkadian covers the following scripts and symbols supported by The Unicode
Standard 5.2: Basic Latin, Greek and Coptic, some Punctuation and other
Symbols, Cuneiform, Cuneiform Numbers and Punctuation.

It was created by George Douros.


Fedora Account System Username: alexpl

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9402789


The font is already in fedora, but the current maintainer has been non-responsive for quite some time, so this is the last step of the relevant policy - a takeover request.

I have cleaned up the spec files from deprecated commands, added AppStream metadata and I have included a sample file provided by upstream in a separate doc package. Following a brief discussion on devel ML and after having contacted upstream for clarifications, I have decided not to include the hinted font in the source package.

Comment 1 Alexander Ploumistos 2015-04-14 22:30:43 UTC
Updated files, without doc sub-package:

https://alexpl.fedorapeople.org/packages/fonts/gdouros/gdouros-akkadian-fonts/gdouros-akkadian-fonts.spec

https://alexpl.fedorapeople.org/packages/fonts/gdouros/gdouros-akkadian-fonts/gdouros-akkadian-fonts-7.15-2.fc21.src.rpm


I also noticed that upstream has forgotten to update the version number internally, so in a font viewer it appears that the font is in version 7.13. I intend to inform him about that, along with a few other issues.

Comment 2 Parag AN(पराग) 2015-04-30 08:26:53 UTC
Review:

+ mock build is successful for F23 (x86_64)

+ rpmlint on generated rpms gave output
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 
+ Source verified with upstream as (sha256sum)
srpm Source0: fd00741c13e0e822a97a6451b1fe406fcdab09f9e4bd77fe6a3eede3d8f5ea61
upstream Source0 : fd00741c13e0e822a97a6451b1fe406fcdab09f9e4bd77fe6a3eede3d8f5ea61
srpm Source1 : 15115616d2e04f36ac53b7d45e87dbfc77a1d810f6b4659dc70127935bae7e59
upstream Source1 : 15115616d2e04f36ac53b7d45e87dbfc77a1d810f6b4659dc70127935bae7e59

+ License is "Public Domain" as per given on upstream website "Fonts and documents in this site are not pieces of property or merchandise items; they carry no trademark, copyright, license or other market tags; they are free for any use". So no license text is included in font file or any text file

+ follows fonts packaging guidelines.

+ fontconfig file is present at priority 65.

+ Appdata metainfo file is present.

Suggestions:
1) I propose to follow https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages with following changes

%global checkout 20150430

Release:        0.2.%{checkout}%{?dist}

also add changelog that uses 7.13-0.2.20150430

The reason why I am not considering 7.15 as version is that it can be mistake by upstream to write the archive as 7.15.

Comment 3 Alexander Ploumistos 2015-04-30 10:44:24 UTC
(In reply to Parag AN(पराग) from comment #2)
> 1) I propose to follow
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-
> Release_packages with following changes
> 
> %global checkout 20150430
> 
> Release:        0.2.%{checkout}%{?dist}

a) Why is the leading zero necessary?
b) Is it OK to use the date on which I downloaded the font as opposed to the date on which it was updated?


> The reason why I am not considering 7.15 as version is that it can be
> mistake by upstream to write the archive as 7.15.

So I should pay attention only to the version number declared inside the font and not the one on his website?

Comment 4 Alexander Ploumistos 2015-04-30 14:19:02 UTC
(In reply to Alexander Ploumistos from comment #3)
> a) Why is the leading zero necessary?

Never mind, I figured it out, I was looking at the wrong versioning example.

Here are the updated files:

https://alexpl.fedorapeople.org/packages/fonts/gdouros/gdouros-akkadian-fonts/gdouros-akkadian-fonts.spec

https://alexpl.fedorapeople.org/packages/fonts/gdouros/gdouros-akkadian-fonts/gdouros-akkadian-fonts-7.13-0.2.20150430.fc21.src.rpm

Comment 5 Parag AN(पराग) 2015-05-01 04:57:47 UTC
Many times upstream developers of fonts do not update meta information like version number, License url, Copyright etc. in fonts also not release versioned tarball. So best way to identify that upstream silently changed the font file but not information we should add maximum identification to the packaged font file.

If you still think upstream is right in writing 7.15 then good to clarify with him again but if he says its 7.15 but forgot to update then our package naming is better 7.13-0.2.20150430 that will say that packaged font archive is downloaded on 20150430 date and inside font information say 7.13 as also archive tarball is not versioned and there is no information in other supporting text files in that tarball.

Comment 6 Alexander Ploumistos 2015-05-01 11:22:40 UTC
(In reply to Parag AN(पराग) from comment #5)
> Many times upstream developers of fonts do not update meta information like
> version number, License url, Copyright etc. in fonts also not release
> versioned tarball. So best way to identify that upstream silently changed
> the font file but not information we should add maximum identification to
> the packaged font file.

During these past few months, I noticed that upstream had changed the fonts, without altering the date or incrementing the version, so I wholeheartedly agree with you and as you can see, I have changed the naming on all the gdouros- font packages.


> If you still think upstream is right in writing 7.15 then good to clarify
> with him again but if he says its 7.15 but forgot to update then our package
> naming is better 7.13-0.2.20150430 that will say that packaged font archive
> is downloaded on 20150430 date and inside font information say 7.13 as also
> archive tarball is not versioned and there is no information in other
> supporting text files in that tarball.

I have sent him a message, if and when he fixes the mismatch I will update the package. I am leaving it as 7.13-0.2.20150430 for now.

Comment 7 Parag AN(पराग) 2015-05-01 13:07:57 UTC
Thanks. Btw, Since last few days fedora-review and dnf is giving me problem which is taking some time to review your packages. Just installed new mock package from f22 testing repo and still some issues with fedora-review.

Comment 8 Parag AN(पराग) 2015-05-02 06:25:02 UTC
The updated srpm in comment#4 looks good now.

Package APPROVED.

You want to submit here package change request to own this package. See https://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

Comment 9 Alexander Ploumistos 2015-05-02 11:28:51 UTC
Package Change Request
======================
Package Name: gdouros-akkadian-fonts
Branches: f20 f21 f22 master
Owners: alexpl
InitialCC: fonts-sig

Comment 10 Alexander Ploumistos 2015-05-03 17:23:16 UTC
Turns out the right version was 7.13 all along. He set it as 7.15 on the web page and in the other files by mistake.

No need to change anything, your hunch was spot on!

Comment 11 Gwyn Ciesla 2015-05-03 21:51:40 UTC
Complete.

Comment 12 Fedora Update System 2015-05-04 11:46:07 UTC
gdouros-akkadian-fonts-7.13-0.2.20150430.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gdouros-akkadian-fonts-7.13-0.2.20150430.fc22

Comment 13 Fedora Update System 2015-05-08 07:25:56 UTC
Package gdouros-akkadian-fonts-7.13-0.2.20150430.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdouros-akkadian-fonts-7.13-0.2.20150430.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7543/gdouros-akkadian-fonts-7.13-0.2.20150430.fc22
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-05-11 19:07:18 UTC
gdouros-akkadian-fonts-7.13-0.2.20150430.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.